package asd.td3;

/**
 * Une classe pour l'exercice 4 de la feuille 3.
 * On calcule rcursivement la valeur maximale du butin que le voleur peut
 * emporter en choisissant des objets parmis N objets, l'objet i ayant le
 * poids P[i] et la valeur V[i], pour tout i dans [0..N-1], et sachant que
 * le voleur ne peut pas emporter un poids suprieur  Pmax.
 *  2002 Marc Gatano
 */
public class Voleur {

    private int[] P;  // P[i] = le poids de l'objet i (P[i] > 0 pour tout i).
    private int[] V;  // V[i] = la valeur de l'objet i.
    
    /**
     * Construit un objet Voleur.
     * Prconditions : P.length = V.length, et P[i] et V[i] > 0 pout tout i
     * dans [0..P.length-1].
     * Complexit : O(1).
     */
    public Voleur(int[] P, int[] V) {
        this.P = P;
        this.V = V;
    }

    /**
     * Retourne la valeur maximale du butin que le voleur peut emporter
     * sans dpasser le poids total Pmax.
     */
    public int valeur(int Pmax) {
        return 0;
    }

    /**
     * Retourne la valeur maximale du butin que le voleur peut emporter
     * sans dpasser le poids total Pmax et en choisissant parmis les objets
     * de numro [0..k-1].
     */
    public int valeur(int Pmax, int k) {
        return 0;
    }
}
