package asd.td3;

/**
 * Une classe pour l'exercice 3 de la feuille 3.
 * On teste rcursivement si on peut faire la somme i avec certaines des
 * valeurs de T, un tableau d'entiers.
 */
public class Somme {

    private int[] T; // le tableau d'entiers positifs
    private int N;   // la somme des lments de T
    
    /**
     * Construit un objet Somme.
     * Prcondition : table[i] >= 0 pour tout i dans [0..T.length-1].
     * Complexit : O(n) o n = T.length.
     */
    public Somme(int[] table) {
        T = table;
        N = 0;
        
        for ( int i = 0; i < T.length; i++ ) {
            N = N + T[i];
        }
    }

    /**
     * Teste si on peut faire la somme i avec un sous-ensembles d'entiers
     * appartenant  T.
     */
    public boolean possible(int i) {
        return false;
    }

    /**
     * Teste si on peut faire la somme i avec un sous-ensemble d'entiers
     * appartenant  T[0..k-1].
     * Prconditions : 0 <= i <= N et 0 <= k < T.length.
     */
    private boolean possible(int i, int k) {
        return false;
    }
}
